<?php

class Application_Form_Auth_Login extends Zend_Form
{
    public function init()
    {
    	$view = Zend_Layout::getMvcInstance()->getView();
		$this->setAction($view->baseUrl("/auth/login"));
        $this->setName('loginform');
        $this->setMethod('post');

        $email = new Zend_Form_Element_Text('email');
        $email->setAttrib('placeholder', 'eMail');
		$email->setAttrib('type', 'email');
		$email->setValidators(array(
			'EmailAddress',
		));
        $email->setRequired();

        $password = new Zend_Form_Element_Password('password');
		$password->setAttrib('placeholder', 'Password');
        //$password->setRequired();

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Sign in');
		$submit->setAttribs(array('class' => 'btn', 'style' => 'width:220px;'));

        $this->addElements(array($email, $password, $submit));
    }
}