<?php

class Service_Setting
{
	protected $oModelSetting;
	
	public function __construct() 
	{
		$this->_oModelSetting = new Application_Model_Setting();
	}
	
	/**
	 * Fetches all rows.
	 * 
	 * @return array $aResult
	 */
	public function getSettings()
	{
		$aData = $this->_oModelSetting->fetchAll()->toArray();
		$aResult = array();
		
		foreach ($aData as $aValue)
		{
			$aResult[$aValue['name']] = $aValue['value'];
		}
		
		return $aResult;
	}
	
	/**
	 * Update the settings-table.
	 * 
	 * @param array $aData
	 */
	public function updateSettings($aData)
	{
		foreach ($aData as $mKey => $sValue)
		{
			$this->_oModelSetting->update(array('value' => $sValue), array("name = '" . $mKey . "'"));
		}
	}
}