<?php

class Application_Form_User_Image extends Zend_Form {

    public function init() {
		$view = Zend_Layout::getMvcInstance()->getView();
		$this->setAction($view->baseUrl());
    	$this->setMethod('post');
 
        $picture = new Zend_Form_Element_File('picture', array(
            'label' => 'Bild auswählen',
            'required' => true,
            'MaxFileSize' => 2097152, // 2097152 bytes = 2 megabytes
            'validators' => array(
                array('Count', false, 1),
                array('Size', false, 2097152),
                array('Extension', false, 'gif,jpg,png'),
                array('ImageSize', false, array('minwidth' => 100,
                                                'minheight' => 100,
                                                'maxwidth' => 2500,
                                                'maxheight' => 2500))
            )
        ));
 
        $picture->setValueDisabled(true);
 
        $submit = new Zend_Form_Element_Submit('save', array(
            'label' => 'Profilbild hochladen',
            'class' => 'clean-green',
        ));
 
        $this->addElements(array(
            $picture,
            $submit
        ));
    }
}
