<?php

class Service_Update_1_2 extends Service_Update_Abstract
{
	const VERSION = "1/2";
	
	public function __construct()
	{
		parent::__construct(self::VERSION);
	}
	
	public function update()
	{
		$oModelSetting = new Application_Model_Setting();
		$oModelSetting->update(array('value' => '1.2'), 'name = "version"');
		
		if (is_null($oModelSetting->fetchRow("name = 'user_file_view'")))
		{
			$oModelSetting->insert(array(
				'name' => 'user_file_view',
				'value' => Service_User::USER_SEES_ONLY_OWN_FILES
			));
		}
		
		if (is_null($oModelSetting->fetchRow("name = 'user_storage_size'")))
		{
			$oModelSetting->insert(array(
				'name' => 'user_storage_size',
				'value' => 0
			));
		}
		
		if (is_null($oModelSetting->fetchRow("name = 'footer_text'")))
		{
			$oModelSetting->insert(array(
				'name' => 'footer_text',
				'value' => 'Thank you for using MonsterFile'
			));
		}
		
		if (is_null($oModelSetting->fetchRow("name = 'theme'")))
		{
			$oModelSetting->insert(array(
				'name' => 'theme',
				'value' => 'bootstrap.min.css'
			));
		}
	}
}