<?php
//This line changes the timeout. //Give it a value in seconds (3600 = 1 hour) 
set_time_limit(3600);
//Set these amounts to whatever you need. 
ini_set("post_max_size","8192M");
ini_set("upload_max_filesize","8192M");
//Generally speaking, the memory_limit should be higher //than your post size. So make sure that’s right too. 
ini_set("memory_limit","8200M");

// Define path to application directory
defined('APPLICATION_PATH')
    || define('APPLICATION_PATH', realpath(dirname(__FILE__) . '/../application'));

// Define application environment
defined('APPLICATION_ENV')
    || define('APPLICATION_ENV', (getenv('APPLICATION_ENV') ? getenv('APPLICATION_ENV') : 'production'));
	
// Define path to uploads directory
defined('APPLICATION_UPLOADS_DIR') || define('APPLICATION_UPLOADS_DIR', realpath(dirname(__FILE__) . '/../files'));

// Ensure library/ is on include_path
set_include_path(implode(PATH_SEPARATOR, array(
    realpath(APPLICATION_PATH . '/../library'),
    //get_include_path(),
)));

/** Zend_Application */
require_once 'Zend/Application.php';

// Registrieren des Autoloaders.
require_once('Zend/Loader/Autoloader.php');
$oLoader = Zend_Loader_Autoloader::getInstance();
// Zend mitteilen das es den Ordner Service gibt.
$oLoader->registerNamespace('Service_');
$oLoader->registerNamespace('Image_');

// Create application, bootstrap, and run
$application = new Zend_Application(
    APPLICATION_ENV,
    APPLICATION_PATH . '/configs/application.ini'
);
$application->bootstrap()
            ->run();