var domains = ['hotmail.com', 'gmail.com', 'aol.com', 'web.de', 'yahoo.com', 'google.com', 'me.com', 'mac.com', 'live.com', 'comcast.net', 'googlemail.com', 'msn.com', 'hotmail.co.uk', 'yahoo.co.uk', 'facebook.com', 'verizon.net', 'sbcglobal.net', 'att.net', 'gmx.com', 'mail.com'];
var topLevelDomains = ['co.uk', 'com', 'net', 'org', 'info', 'edu', 'gov', 'mil', 'ac.uk', 'co.uk', 'gov.uk', 'ltd.uk', 'me.uk', 'mil.uk', 'mod.uk', 'net.uk', 'nhs.uk', 'nic.uk', 'org.uk', 'me', 'im', 'io', 'us', 'name', 'de', 'be'];

var superStringDistance = function(string1, string2) {
  // a string distance algorithm of your choosing
}

var forgottenLink = $("a#forgottenLink").attr("href");

$('#email').on('blur', function() {
  $(this).mailcheck({
    domains: domains,  
    topLevelDomains: topLevelDomains,
    distanceFunction: superStringDistance,
    suggested: function(element, suggestion) {
      // callback code
      $('div#login-logo').html('<img src="/img/logo.png" title="MonsterFile" alt="MonsterFile" width="100" />');
    },
    empty: function(element) {
    	if ($('#email').val().length > 0) {
    		var hash = md5($('#email').val());
			$('div#login-logo').hide().html('<img src="http://www.gravatar.com/avatar/' + hash + '" class="img-polaroid" title="MonsterFile" alt="MonsterFile" width="100">').fadeIn(1500);
		}
	}
  });
});

// set the email for redirect links.
$('#email').on('keyup', function() {
	$("a#forgottenLink").attr("href", forgottenLink + '/?mail=' + $('#email').val());
});

// preload the gravatar images.
$.fn.preload = function() {
    this.each(function(){
        $('<img/>')[0].src = this;
    });
}